# Uses of Class
org.eclipse.net4j.util.om.monitor.AbstractMonitor

Packages that use AbstractMonitor
Package
Description
org.eclipse.net4j.util.om.monitor
Interfaces and classes for platform-independent progress monitoring.

## Uses of AbstractMonitor in org.eclipse.net4j.util.om.monitor

Subclasses of AbstractMonitor in org.eclipse.net4j.util.om.monitor
Modifier and Type
Class
Description
`class`
`EclipseMonitor`
`class`
`Monitor`
`class`
`NestedMonitor`
`class`
`NotifyingMonitor`
`class`
`TimeoutMonitor`
Methods in org.eclipse.net4j.util.om.monitor that return AbstractMonitor
Modifier and Type
Method
Description
`AbstractMonitor`
NestedMonitor.`getParent()`
Constructors in org.eclipse.net4j.util.om.monitor with parameters of type AbstractMonitor
Modifier
Constructor
Description
``
`AsyncTimerTask(AbstractMonitor parent, double parentWork, double timeFactor)`
``
`NestedMonitor(AbstractMonitor parent, double parentWork)`